Skip to main content
DELETE
Revoke API access key

प्राधिकरण

Authorization
string
header
आवश्यक

Short-lived bearer access token issued for a Living Security API access key. Send as Authorization: Bearer .

हेडर

x-organization-id
string<uuid>
आवश्यक

Organization context for multi-tenant operations

पथ पैरामीटर

id
string
आवश्यक

API access key identifier

प्रतिक्रिया

200 - application/json
id
string
आवश्यक

Stable API access key identifier

name
string
आवश्यक

Human-readable name for the API access key credential, usually the owning integration or automation

keyType
enum<string>
आवश्यक

Credential type for the API access key. user_bound keys are associated with the creating user's identity; service_account keys are intended for non-human service integrations.

उपलब्ध विकल्प:
user_bound,
service_account
boundEmail
string
आवश्यक

Email address associated with the API access key credential when the credential is user-bound

status
enum<string>
आवश्यक

API access key status

उपलब्ध विकल्प:
active,
revoked
createdAt
string<date-time>
आवश्यक

Timestamp when the API access key credential was created

createdByUserId
string
आवश्यक

Identifier of the user who created this API access key

scopes
string[]
आवश्यक

Permission scopes assigned to this API access key

उदाहरण:
lastUsedAt
string<date-time> | null

Last time the API access key was used

expiresAt
string<date-time> | null

Expiration timestamp for the API access key credential